Subject: RE: Whither a2ps.exe?
From: Troy Noble <[email-masked]>
To: "'Jason Tishler'" <[email-masked]>, "Frank D. Greco" <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Wed, 29 Aug 2001 12:56:07 -0600

Confirmed.  Posting a message to close out this thread, per
Jason's request.

I did successfully build a2ps-4.13b.tar.gz OOTB with cygwin 1.3.2-1,
latest gcc, etc. using the same steps Jason mentioned.  It appeared
that the FTP site was up yesterday when I tried, it appears to be
down now again.  Kinda flaky as Jason said.

A quick search on lycos.com's Advanced FTP search for a2ps-4.13b.tar.gz
(which is the latest version mentioned on the official a2ps web site)
produced quite a few hits.  So there are mirrors out there.

Jason and I discussed offline... that the last time I had built
a2ps was with cygwin-1.1.4-1 and had to make a couple of minor
hacks to the a2ps sources because:
(1) contrib/fixnt.l was attempting to use GetTempPath(), and
    that wasn't in the winsup.h back then (I went back and checked).
(2) lib/userdata.c was having trouble figuring out who I was,
    so was displaying "Unknown User" instead of my username.
    Not sure if I had an incorrect /etc/passwd back then or if
    HAVE_STRUCT_PASSWD_PW_GECOS just wasn't getting set
    by ./configure?  Perhaps cygwin didn't support passwd->pw_gecos
    back in 1.1.4-1?  Anyway I just fell back to "login" instead
    of "name" which was equivalent to getenv("USERNAME").

But it all works OOTB now.  No more source code hacks required.

Looking forward to Jason's release of a contributed version
of a2ps once the package moratorium is lifted.  But in the
meantime it's easier than ever to build a2ps from sources.

Thanks, Troy

-----Original Message-----
From: Jason Tishler [mailto:[email-masked]]
Sent: Monday, August 27, 2001 12:45 PM
To: Frank D. Greco
Cc: Cygwin
Subject: Re: Whither a2ps.exe?

Frank,

On Sun, Aug 26, 2001 at 03:38:20PM -0400, Frank D. Greco wrote:
> At 01:12 PM 8/26/2001 -0400, you wrote:
>  >Frank,
>  >
>  >On Sat, Aug 25, 2001 at 02:36:27PM -0400, Frank D. Greco wrote:
>  >> Is there a reasonably safe play to snarf 'a2ps.exe' from?
>  >>
>  >> Any help is appreciated.
>  >
>  >Why don't you build it yourself.  IIRC, is builds OOTB.  Just do the
>  >configure, make, make install thing.
> 
> 	I've never built any of the cygwin executables and I haven't
> 	done C pgming or makefile tracing in over 10 year.
> 	I just need to print some Java src files.

If you have installed all of the Cygwin packages (as recommended), then
the procedure is really as simply as:

    $ wget -nd ftp://ftp.enst.fr/pub/unix/a2ps/a2ps-4.13.tar.gz
    $ tar -xzf a2ps-4.13.tar.gz
    $ cd a2ps-4.13
    $ configure
    $ make 
    $ make install

At the time of this writing, ftp.enst.fr appears to be offline.  However,
you can find a2ps 4.12 on the GNU mirrors:

    http://www.gnu.org/prep/ftp.html

When the moratorium for new packages is over, then I intend to
contribute a pre-built a2ps to the standard Cygwin distribution.

Jason

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/